NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Protected Attributes | List of all members
NeuralEngine::MachineLearning::View Class Reference
Collaboration diagram for NeuralEngine::MachineLearning::View:
[legend]

## Public Member Functions
| View (Window &window, const std::string &title="", Size size={ 300, 300 })
View & | resize (Rect rect)
View & | size (Size size)
View & | offset (Offset offset)
View & | autosize ()
View & | title (const std::string &title)
View & | alpha (int alpha)
View & | backgroundColor (Color color)
View & | frameColor (Color color)
View & | textColor (Color color)
View & | mouse (MouseCallback callback, void *param=NULL)
void | onmouse (int event, int x, int y, int flags)
Color | backgroundColor ()
Color | frameColor ()
Color | textColor ()
std::string & | title ()
bool | has (Offset offset)
void | drawRect (Rect rect, Color color)
void | drawFill (Color background=White)
void | drawImage (const void *image, int alpha=255)
void | drawText (const std::string &text, Offset offset, Color color) const
void | drawFrame (const std::string &title) const
void * | buffer (Rect &rect)
void | finish ()
void | flush ()
void | hide (bool hidden=true)
View & | operator= (const View &)=delete

## Protected Attributes
Rect | rect_
std::string | title_
bool | frameless_
Window & | window_
Color | background_color_
Color | frame_color_
Color | text_color_
MouseCallback | mouse_callback_
void * | mouse_param_
bool | hidden_

## Detailed Description

Definition at line 44 of file FgWindow.h.

## Member Data Documentation

## ◆ rect_

Rect NeuralEngine::MachineLearning::View::rect_
| protected

Definition at line 102 of file FgWindow.h.

## ◆ title_

std::string NeuralEngine::MachineLearning::View::title_
| protected

Definition at line 103 of file FgWindow.h.

## ◆ frameless_

bool NeuralEngine::MachineLearning::View::frameless_
| protected

Definition at line 104 of file FgWindow.h.

## ◆ window_

Window& NeuralEngine::MachineLearning::View::window_
| protected

Definition at line 105 of file FgWindow.h.

## ◆ background_color_

Color NeuralEngine::MachineLearning::View::background_color_
| protected

Definition at line 106 of file FgWindow.h.

## ◆ frame_color_

Color NeuralEngine::MachineLearning::View::frame_color_
| protected

Definition at line 107 of file FgWindow.h.

## ◆ text_color_

Color NeuralEngine::MachineLearning::View::text_color_
| protected

Definition at line 108 of file FgWindow.h.

## ◆ mouse_callback_

MouseCallback NeuralEngine::MachineLearning::View::mouse_callback_
| protected

Definition at line 109 of file FgWindow.h.

## ◆ mouse_param_

void* NeuralEngine::MachineLearning::View::mouse_param_
| protected

Definition at line 110 of file FgWindow.h.

## ◆ hidden_

bool NeuralEngine::MachineLearning::View::hidden_
| protected

Definition at line 111 of file FgWindow.h.

The documentation for this class was generated from the following file:

- FgWindow.h